Subject: bug#31778: 26.1.50; Calling gio open fails from inside eshell (but not shell)

From: Noam Postavsky <[email-masked]>
Date: Wed, 13 Jun 2018 07:28:35 -0400

Carlos Pita <[email-masked]> writes:

>> Does it work if you open the default viewer directly from eshell,
>> without going through gio?
>
> Yes, it does. I also can open the image with firefox. And OTOH I can't
> open other stuff with gio.

Maybe there are some environment variable differences?

Hmm, here 'gio open foo.png' just tells me

    gio: file:///.../foo.png: No application is registered as handling this file

I can't tell from the man page how I'm supposed to register an
application.